std::atomic< wchar_t > Struct Reference
Atomics

`#include <atomic>`

## Public Types

typedef __atomic_base< wchar_t > | __base_type
typedef wchar_t | __integral_type
using | value_type

## Public Member Functions

constexpr | atomic (__integral_type __i) noexcept
| atomic (const atomic &)=delete
bool | compare_exchange_strong (wchar_t &__e, wchar_t __i, memory_order __s, memory_order __f) noexcept
bool | compare_exchange_weak (wchar_t &__e, wchar_t __i, memory_order __s, memory_order __f) noexcept
wchar_t | exchange (wchar_t __i, memory_order __m=memory_order_seq_cst) noexcept
bool | is_lock_free () const noexcept
wchar_t | load (memory_order __m=memory_order_seq_cst) const noexcept
| operator wchar_t () const noexcept
| operator wchar_t () const volatile noexcept
atomic & | operator= (const atomic &) volatile =delete
atomic & | operator= (const atomic &)=delete
void | store (wchar_t __i, memory_order __m=memory_order_seq_cst) noexcept

## Detailed Description

Explicit specialization for wchar_t.

Definition at line 968 of file atomic.

## Member Typedef Documentation

## __base_type

typedef __atomic_base<wchar_t> std::atomic< wchar_t >::__base_type

Definition at line 971 of file atomic.

## __integral_type

typedef wchar_t std::atomic< wchar_t >::__integral_type

Definition at line 970 of file atomic.

## value_type

using std::atomic< wchar_t >::value_type

Definition at line 205 of file atomic.

## Constructor & Destructor Documentation

## atomic()

std::atomic< wchar_t >::atomic | ( | __integral_type | __i | ) |

inline constexpr noexcept

Definition at line 979 of file atomic.

## Member Function Documentation

## compare_exchange_strong()

bool std::atomic< wchar_t >::compare_exchange_strong | ( | wchar_t & | __e,
|  | wchar_t | __i,
|  | memory_order | __s,
|  | memory_order | __f )

inline noexcept

Definition at line 371 of file atomic.

## compare_exchange_weak()

bool std::atomic< wchar_t >::compare_exchange_weak | ( | wchar_t & | __e,
|  | wchar_t | __i,
|  | memory_order | __s,
|  | memory_order | __f )

inline noexcept

Definition at line 343 of file atomic.

## exchange()

wchar_t std::atomic< wchar_t >::exchange | ( | wchar_t | __i,
|  | memory_order | __m = memory_order_seq_cst )

inline noexcept

Definition at line 320 of file atomic.

## is_lock_free()

bool std::atomic< wchar_t >::is_lock_free | ( |  | ) | const

inline noexcept

Definition at line 265 of file atomic.

## load()

wchar_t std::atomic< wchar_t >::load | ( | memory_order | __m = memory_order_seq_cst | ) | const

inline noexcept

Definition at line 302 of file atomic.

## operator wchar_t() [1/2]

std::atomic< wchar_t >::operator wchar_t | ( |  | ) | const

inline noexcept

Definition at line 250 of file atomic.

## operator wchar_t() [2/2]

std::atomic< wchar_t >::operator wchar_t | ( |  | ) | const volatile

inline noexcept

Definition at line 253 of file atomic.

## store()

void std::atomic< wchar_t >::store | ( | wchar_t | __i,
|  | memory_order | __m = memory_order_seq_cst )

inline noexcept

Definition at line 286 of file atomic.

The documentation for this struct was generated from the following file:

- atomic